##############################################################################
#
# Copyright (c) 2006 Serge CASA
# All rights reserved. Written by Serge CASA 
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted under the ZPL license
#
#   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
#   IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
#   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
#   IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, 
#   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
#   NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
#   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
#   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF 
#   THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# Thanks to Dean Jenkins for his release of BannerDepository as a Zclass, from which this product is fully inspired
# The ZClass product of Dean Jenkins is available from <a href="http://www.zope.org/Members/dean.jenkins/BannerDepository">www.zope.org</a>
# This product is available from <a href="http://www.zope.org/Members/senacle/BannerDepository">www.zope.org</a>
#
##############################################################################

__doc__="""BannerAdManager product""" # dans un script python, __init__.__doc__ retourne BannerAdManager product

__version__='$Revision: 1.0 $'[11:-2]

##############################################################################

import BannerDepository
import BannerAdvert

def initialize(context):
	context.registerClass(
		BannerAdvert.BannerAdvert,
		constructors=(BannerAdvert.manage_BannerAdvert_addForm,
					  BannerAdvert.manage_BannerAdvert_add),
		icon='www/bannerad.gif',
		)

	context.registerClass(
		BannerDepository.BannerDepository,
		constructors=(BannerDepository.manage_BannerDepository_addForm,
					  BannerDepository.manage_BannerDepository_add),
		icon='www/bannerdepository.gif',
		)

	context.registerHelpTitle('BannerAdManager')
	context.registerHelp()